import { C as CalendarImpl, a as CalendarOptions, N as NativeFormatterOptions, D as DateInput, P as PluginDefInput, b as PluginDef } from './internal-common.js';
export { R as AllDayContentArg, T as AllDayMountArg, A as AllowFunc, B as BusinessHoursInput, ag as ButtonHintCompoundInput, a7 as ButtonIconsInput, a8 as ButtonTextCompoundInput, c as CalendarApi, e as CalendarListeners, a as CalendarOptions, t as ClassNamesGenerator, p as ConstraintInput, n as CssDimValue, a6 as CustomButtonInput, u as CustomContentGenerator, ah as CustomRenderingHandler, ai as CustomRenderingStore, D as DateInput, ak as DatePointApi, h as DateRangeInput, a2 as DateSelectArg, al as DateSelectionApi, aj as DateSpanApi, g as DateSpanInput, a3 as DateUnselectArg, ab as DatesSetArg, Y as DayCellContentArg, Z as DayCellMountArg, U as DayHeaderContentArg, X as DayHeaderMountArg, v as DidMountHandler, am as Duration, f as DurationInput, ac as EventAddArg, d as EventApi, ad as EventChangeArg, a0 as EventClickArg, a9 as EventContentArg, ae as EventDropArg, a1 as EventHoveringArg, l as EventInput, m as EventInputTransformer, aa as EventMountArg, af as EventRemoveArg, an as EventSegment, E as EventSourceApi, j as EventSourceFunc, k as EventSourceFuncArg, i as EventSourceInput, F as FormatterInput, J as JsonRequestError, o as LocaleInput, L as LocaleSingularArg, ao as MoreLinkAction, aq as MoreLinkArg, M as MoreLinkContentArg, ar as MoreLinkHandler, G as MoreLinkMountArg, ap as MoreLinkSimpleAction, w as NowIndicatorContentArg, x as NowIndicatorMountArg, O as OverlapFunc, b as PluginDef, P as PluginDefInput, K as SlotLabelContentArg, Q as SlotLabelMountArg, H as SlotLaneContentArg, I as SlotLaneMountArg, S as SpecificViewContentArg, r as SpecificViewMountArg, a5 as ToolbarInput, V as ViewApi, q as ViewComponentType, _ as ViewContentArg, $ as ViewMountArg, a4 as WeekNumberCalculation, y as WeekNumberContentArg, z as WeekNumberMountArg, W as WillUnmountHandler, s as sliceEvents } from './internal-common.js';
import 'preact';
import './preact.js';
import './index.js';

declare class Calendar extends CalendarImpl {
    el: HTMLElement;
    private currentData;
    private renderRunner;
    private isRendering;
    private isRendered;
    private currentClassNames;
    private customContentRenderId;
    constructor(el: HTMLElement, optionOverrides?: CalendarOptions);
    private handleAction;
    private handleData;
    private handleRenderRequest;
    render(): void;
    destroy(): void;
    updateSize(): void;
    batchRendering(func: any): void;
    pauseRendering(): void;
    resumeRendering(): void;
    resetOptions(optionOverrides: any, append?: any): void;
    private setClassNames;
    private setHeight;
}

interface FormatDateOptions extends NativeFormatterOptions {
    locale?: string;
}
interface FormatRangeOptions extends FormatDateOptions {
    separator?: string;
    isEndExclusive?: boolean;
}
declare function formatDate(dateInput: DateInput, options?: FormatDateOptions): string;
declare function formatRange(startInput: DateInput, endInput: DateInput, options: FormatRangeOptions): string;

declare function createPlugin(input: PluginDefInput): PluginDef;

declare const version: string;

export { Calendar, FormatDateOptions, FormatRangeOptions, createPlugin, formatDate, formatRange, version };
